import request from '@/utils/request'

// 查询课程列表
export function listCourse(query) {
  return request({
    url: '/course/courses/list',
    method: 'get',
    params: query
  })
}

// 查询课程分页列表
export function pageCourse(query) {
  return request({
    url: '/course/courses/page',
    method: 'get',
    params: query
  })
}

// 查询课程详细
export function getCourse(id) {
  return request({
    url: '/course/courses/' + id,
    method: 'get'
  })
}

// 新增课程
export function addCourse(data) {
  return request({
    url: '/course/courses',
    method: 'post',
    data: data
  })
}

// 修改课程
export function updateCourse(data) {
  return request({
    url: '/course/courses',
    method: 'put',
    data: data
  })
}

// 删除课程
export function delCourse(id) {
  return request({
    url: '/course/courses/' + id,
    method: 'delete'
  })
}

// 批量删除课程
export function batchDeleteCourse(ids) {
  return request({
    url: '/course/courses/batch',
    method: 'delete',
    data: ids
  })
}

// 导出课程
export function exportCourse(query) {
  return request({
    url: '/course/courses/export',
    method: 'get',
    params: query
  })
}
